#pragma once

#include <stdint.h>
#include "util/Pointers.h"
#include "util/simpleobject/AgString.h"

class TimeUnit
{
 private:
    int unit;
    uint64_t length;
    AgString description;
    bool secondary;
    int calendarField;

 public:
    int getUnit();
    uint64_t getLength();
    AgString getDescription();
    int getCalendarField();
    bool isSecondary();
    AgString toString();
    int hashCode();
	bool equals(AgObjectPtr obj);

    TimeUnit(int unit, uint64_t length, AgString description, int calendarField, bool secondary);
};
